%define prefix /usr
%define name TouchpadToggle
%define version 0.34
%define release %mkrel 1
%define url http://www.pclinuxos.com/forum/
%define arch noarch

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Toggle your touchpad off or on
Summary(de):	Schalte dein Touchpad ein oder aus
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	yad
Requires:	x11-driver-input-synaptics
Obsoletes:	%name < %version
BuildArch: 	%{arch}

%description
Toggle your touchpad off or on. (Idea, and created by parnote)
Any questions, let me know (parnote at gmail.com).

#german
%description -l de
Schalte dein Touchpad ein oder aus. (Idee und erstellt von parnote)
Fragen senden Sie bitte an mich (parnote at gmail.com) 
%prep

%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 touchpad_toggle.sh $RPM_BUILD_ROOT%{_bindir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Type=Application
Name=Touchpad Toggle v%version
Name[de]=Touchpad Toggle v%version
GenericName=Touchpad Toggle
GenericName[de]=Touchpad Toggle
Comment=Toggle your touchpad off and on
Comment[de]=Schalte dein Touchpad aus oder ein
Categories=Application;X-MandrivaLinux-System-Configuration-Hardware
Exec=/usr/bin/touchpad_toggle.sh
Icon=xfce4-mouse
Terminal=false
StartupNotify=false
EOF

mkdir -p %{buildroot}%{_iconsdir}
install -m 0644 *.png %{buildroot}%{_iconsdir}/

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/touchpad_toggle.sh.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/touchpad_toggle.sh-de_DE.po

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/touchpad_toggle.sh
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*.png
%{_datadir}/locale/*/LC_MESSAGES/touchpad_toggle.sh.mo
%doc ReadMe.txt

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Wed Jul 13 2016 adrianomorselli <adrianomorselli> 0.34-1uplos2012
- rebuild

* Fri Jan 20 2012 Neal <nealbrks0 at gmail.com> 0.34-1pclos2012
- process

* Thu Jan 12 2012 leiche <meisssw01 at gmail.com> 0.34-1leiche2012
- change source code, for handle 
  autostart function
- stable release

* Wed Jan 11 2012 leiche <meisssw01 at gmail.com> 0.33-3leiche2012
- fix info dialog about no mouse found
 
* Mon Jan 09 2012 leiche <meisssw01 at gmail.com> 0.33-2leiche2012
- moved to yad
- add systray icon

* Wed Jan 04 2012 leiche <meisssw01 qt gmail.com> 0.33-1pclos2012
+ Internationalization
- add german description

* Mon Dec 26 2011 leiche <meisssw01 at gmail.com> 0.32-1pclos2011
- rebuild for 64 bit

* Sat Jun 05 2010 leiche <meisssw01 at aol.com> 0.32-1pclos2010
- update to version 0.32

* Mon May 17 2010 Texstar <texstar at gmail.com> 0.1-2pclos2010
- fix desktop icon
- add dependency x11-driver-input-synaptics

* Fri May 14 2010 leiche <meisssw01 at aol.com> 0.1-1pclos2010
- first build
